View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0014182CMake(No Category)public2013-05-31 06:442016-06-10 14:31
ReporterYYrhs 
Assigned ToKitware Robot 
PrioritylowSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionmoved 
PlatformOSOS Version
Product VersionCMake 2.8.11 
Target VersionFixed in Version 
Summary0014182: set_property file.c PROPERTY COMPILE_FLAGS should allow a list of flags
Descriptionset_property(SOURCE file.c PROPERTY COMPILE_FLAGS "-DX=FOO -DBAR=ZOO")

is nice, unless you want to pass strings with spaces etc. I can't imagine setting compile flags this way is very portable.

The alternative is to create "static libraries", set additional cflags for those, then link agains the static libraries - but that's overkill.

Setting priority to low because I don't require the feature (evaluating alternative configuration tools trying to find one which can run cofiguration tests in parallel)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to 0006493closedStephen Kelly configuration dependent COMPILE_FLAGS for SET_TARGET_PROPERTIES 

-  Notes
(0033160)
Brad King (manager)
2013-05-31 08:08

The COMPILE_FLAGS property was originally created as a hook for low-level access to the generated compilation command lines. A higher-level COMPILE_OPTIONS property that works with lists and handles escaping automatically has been considered for a long time.

I think Stephen's current work on a COMPILE_OPTIONS property will resolve this.
(0033161)
Brad King (manager)
2013-05-31 08:09

FYI, you can already use the COMPILE_DEFINITIONS property to add preprocessor definitions:

 set_property(SOURCE file.c PROPERTY COMPILE_DEFINITIONS X=FOO BAR=ZOO)
(0033215)
Stephen Kelly (developer)
2013-06-03 12:56

This would require adding a COMPILE_OPTIONS property at the source file level.

Putting in the backlog until someone is interested in that.
(0042292)
Kitware Robot (administrator)
2016-06-10 14:28

Resolving issue as `moved`.

This issue tracker is no longer used. Further discussion of this issue may take place in the current CMake Issues page linked in the banner at the top of this page.

- Issue History
Date Modified Username Field Change
2013-05-31 06:44 YYrhs New Issue
2013-05-31 08:06 Brad King Relationship added related to 0006493
2013-05-31 08:08 Brad King Note Added: 0033160
2013-05-31 08:08 Brad King Assigned To => Stephen Kelly
2013-05-31 08:08 Brad King Severity minor => feature
2013-05-31 08:08 Brad King Status new => assigned
2013-05-31 08:09 Brad King Note Added: 0033161
2013-06-03 12:56 Stephen Kelly Note Added: 0033215
2013-06-03 12:56 Stephen Kelly Assigned To Stephen Kelly =>
2013-06-03 12:56 Stephen Kelly Status assigned => backlog
2016-06-10 14:28 Kitware Robot Note Added: 0042292
2016-06-10 14:28 Kitware Robot Status backlog => resolved
2016-06-10 14:28 Kitware Robot Resolution open => moved
2016-06-10 14:28 Kitware Robot Assigned To => Kitware Robot
2016-06-10 14:31 Kitware Robot Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker